Bug 9696 - Remove incomplete samba_dnsupdate IPv6 link-local address check
Remove incomplete samba_dnsupdate IPv6 link-local address check
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
4.0.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-02 05:27 UTC by Landon Fuller
Modified: 2013-03-06 11:21 UTC (History)
0 users

See Also:
rsharpe: review? (abartlet)


Attachments
Patch for samba_dnsupdate (898 bytes, patch)
2013-03-02 05:27 UTC, Landon Fuller
no flags Details
Patch for samba_dnsupdate (953 bytes, patch)
2013-03-02 05:31 UTC, Landon Fuller
no flags Details
A slightly different version of the patch (1016 bytes, patch)
2013-03-02 05:50 UTC, Richard Sharpe
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Landon Fuller 2013-03-02 05:27:41 UTC
Created attachment 8599 [details]
Patch for samba_dnsupdate

As discussed in https://bugzilla.samba.org/show_bug.cgi?id=9666, the samba_dnsupdate script contains a check to exclude IPv6 link-local addresses.

That check has now been made redundant by the patch for 9666, which skips IPv6 link-local addresses in get_interfaces(). As per the discussion in 9666, a patch is attached to remove this redundant check from samba_dnsupdate.
Comment 1 Landon Fuller 2013-03-02 05:31:56 UTC
Created attachment 8600 [details]
Patch for samba_dnsupdate

Added missing Signed-Off-By: to patch
Comment 2 Richard Sharpe 2013-03-02 05:50:42 UTC
Created attachment 8601 [details]
A slightly different version of the patch

This is Landon's patch with a Reviewed-By: from me and formatted as a git format-patch patch.
Comment 3 Jeremy Allison 2013-03-04 21:33:55 UTC
Comment on attachment 8601 [details]
A slightly different version of the patch

LGTM.
Comment 4 Jeremy Allison 2013-03-04 21:34:35 UTC
Re-assigning to Karolin for inclusion in 4.0.next.
Jeremy.
Comment 5 Richard Sharpe 2013-03-06 04:32:15 UTC
This was pushed to master by Andrew Bartlett:

commit 2cfbfa6337675d13a9abc4c0426886beeff3134f
Author: Landon Fuller <landonf@bikemonkey.org>
Date:   Sat Feb 23 22:32:25 2013 -0500

    Remove incomplete check for IPv6 link-local addresses.
    
    This has been superceded by a check for link-local
    addresses in get_interfaces()
    
    Signed-Off-By: Landon Fuller <landonf@bikemonkey.org>
    Reviewed-By: Richard Sharpe <realrichardsharpe@gmail.com>
    
    Reviewed-by: Andrew Bartlett <abartlet@samba.org>
    
    Autobuild-User(master): Andrew Bartlett <abartlet@samba.org>
    Autobuild-Date(master): Sat Mar  2 08:38:54 CET 2013 on sn-devel-104

Now just waiting for it to go into 4.0.next.
Comment 6 Karolin Seeger 2013-03-06 09:22:53 UTC
Pushed to autobuild-v4-0-test.
Comment 7 Karolin Seeger 2013-03-06 11:21:59 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!